# watcherclient.shell module

Command-line interface to the Watcher API.

class watcherclient.shell.WatcherShell(**kwargs)

  Bases: `App`

  Watcher command line interface.

  build_option_parser(description, version, argparse_kwargs=None)

    Introduces global arguments for the application.

    This is inherited from the framework.

  configure_logging()

    Configure logging for the app.

  create_client(args)
  prepare_to_run_command(cmd)

    Prepares to run the command

    Checks if the minimal parameters are provided and creates the client interface. This is inherited from the framework.

  run(argv)

    Equivalent to the main program for the application.

    Parameters:

      argv (list of str) – input arguments and options

watcherclient.shell.main(argv=None)

this page last updated: 2025-09-17 21:35:07

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug